Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Highlighted
New Contributor
Posts: 4
Registered: ‎08-30-2012
My Device: 8900
My Carrier: Vodafone

Webworks OS5.0 - Module 'net_rim_crypto' not found

We're building a webworks application, using the webworks sdk 2.3.1 for smartphone OS devices (NOT BB10/Playbook), and Ripple version 0.9.x

 

Compiling, building and signing the application has not been a problem for us on the 9790 with OS 7 or the 9700 with OS 6.1. Putting the application onto an 8900 with OS 5.0 gives the following error as soon as you try and launch the application:

 

Module 'net_rim_crypto' not found.

 

Having read the forums, I can see that this is most likely caused by either Ripple or the webworks SDK not using a compatible JDE version for the 5.0 OS. Something to do with backward compatibility between 6.0 and 5.0.

 

However, I thought that OS 5.0 was supported by the webworks SDK, or at least this is what RIM would have us believe.

 

So, our question is - Is there a way to get webworks/ripple to get rid of this error? We can't see a way of forcing webworks to use a different JDE, or a way to specify what device OS it needs to build for,

 

Any help or pointers here would be greatly appreciated, as most of our customers are still using OS5.0

 

Thanks in advance Smiley Happy

New Developer
Posts: 108
Registered: ‎01-23-2012
My Device: torch,bold,curve,strom
My Carrier: Blackberry

Re: Webworks OS5.0 - Module 'net_rim_crypto' not found

I am also facing the same problem i think webworks is working fine in os6 and os7 but some times it is getting some error with os5

 

Plz help us!

 

if any one know about this!

Thanks & Regards,
Kumar Shivam